import os # Pentru a putea accesa fisierele din sistem
from PIL import Image # Pentru a putea converti imaginile

def convert_images(folder_input, folder_output):
    # Creeaza folderul de output daca nu exista
    if not os.path.exists(folder_output):
        os.makedirs(folder_output)

    # Loop over all files in the folder_input
    for filename in os.listdir(folder_input):
        if filename.endswith(".bmp"):
            # Deschide imaginea
            img = Image.open(os.path.join(folder_input, filename))
            # Converteste imaginea in PNG
            nume_fisier = os.path.splitext(filename)[0]
            img.save(os.path.join(folder_output, nume_fisier + ".png"), "PNG")
            print(f"Transformat {filename} in PNG.")

# Inlocuim folder_input si folder_output cu numele folderelor dorite
convert_images('folder_input', 'folder_output')